package com.tykj.dev.device.scrap.service;

import com.tykj.dev.device.scrap.subject.domin.ScrapBill;
import com.tykj.dev.device.scrap.subject.vo.ScrapSelectVo;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface ScrapBillService {

    ScrapBill add(ScrapBill scrapBill);

    /**
     * @param scrapBills 异步上链
     */
    void sendHash(List<ScrapBill> scrapBills);

    ScrapBill getOne(Integer id);

    ScrapBill update(ScrapBill scrapBill);

    Page<ScrapBill> getPage(ScrapSelectVo scrapSelectVo);
}
